export declare class EclSelect {
  el: HTMLElement;
  theme: string;
  styleClass: string;
  eclScript: boolean;
  disabled: boolean;
  required: boolean;
  invalid: boolean;
  width: string;
  selectId: string;
  name: string;
  multiple: boolean;
  multiplePlaceholder: string;
  multipleSearchText: string;
  multipleSearchNoResultsText: string;
  multipleAllText: string;
  multipleClearAllText: string;
  multipleCloseText: string;
  getClass(): string;
  componentDidLoad(): void;
  render(): any;
}
